//	Version 1.1	Updated to use new Swiss Lotto results URL

//	Window layout globals
lottery_name = "Swiss Lotto";
num_balls = 7;
ball_size = 22;
ball_hspacing = 27;  //put their centerlines this far apart.

//	Image sources
imgBkgrd.src = "Resources/Images/layouts/swisslotto/swisslotto-bkgrd.png";
lottonamestr_backdrop = "Resources/Images/layouts/swisslotto/red.png";
datestr_backdrop = "Resources/Images/layouts/swisslotto/red.png";
estjackpot_backdrop = "Resources/Images/layouts/swisslotto/red.png";

function buyTicketsOnline()
{
	openURL("http://www.shareasale.com/r.cfm?b=1849&u=130900&m=625&urllink=&afftrack=");
}

function setLotteryResultsURL(this_drawing)
{
	targetURL = new URL();
	targetURL.location = "http://www.loterie.ch/games/results.php";
//	targetURL.postData = "drawTypeID=1&drawSubTypeID=1&dateCriteria=1M";
	return targetURL;
}

function scrapeCurrentDrawingData(htmlData)
{
	tmp = htmlData;
	tmp = tmp.replace(rxStripCRLFg, "");	// strip all linefeeds
	tmp = tmp.replace(rxStripJSg,"");	//strip all JavaScript
//	tmp = tmp.replace(rxStripHTMLg, "");	// strip all HTML
//	print("--------------CRLF & JS STRIPPED------------\n"+tmp+"\n------------------");

	tmp_balls_html = tmp.match(/<!-- CONTENT 2 [-]+>.*?--->/)[0];
//	print("--------swiss lotto block match------------\n"+tmp_balls_html+"\n----------------");

	//Find the numbers first.
	tmp_balls = tmp_balls_html.match(/swiss_lotto\/n[ocpl]*\/(\d+)[c]*.gif/g);
//	print(tmp_balls);

	match = new Array();

	for(i=0 ; i < tmp_balls.length ; i++)
	{
		match[i+2] = tmp_balls[i].match(/\d+/);	
	}
//	print("--------\nmatch is " + match + "\n----------");
	
	//  Now find the date
	tmp_date = tmp_balls_html.match(/Tirage du [^<]+/)
//	print("---------- tmp_date -----------\n" + tmp_date + "\n------------");
	match[0] = tmp_date;


	// Now estimate the jackpot.
	tmp_jackpot = tmp_balls_html.match(/Fr\.<[^\.]*/)[0];
	tmp_jackpot = tmp_jackpot.replace(rxStripHTMLg, "");	// strip all HTML
//	print("--------------HTML STRIPPED------------\n"+tmp_jackpot+"\n------------------");
	// Match the jackpot amount.  It's the first number of the form n'nnn'nnn.nn.
	tmp_match = tmp_jackpot.match(/[\d']+/);
//	print("-------------matched------------\n"+tmp_match+"\n-----------");
	match[1] = tmp_match;

	print("-----all matched data ----------\n" + match + "\n-------------");
	return match;
}

function arrangeCurrentDrawingDataInObject(match, this_drawing)
{
	this_drawing.lottonamestr.data = lottery_name;

	print("-------match--------\n"+match+"\n------------");
	
	this_drawing.datestr.data = match[0];
	
	for(i=0 ; i<this_drawing.numbers.length ; i++)
	{
//		print(i);
		this_drawing.numbers[i].src = "Resources/Images/balls/" + match[i+2] + ".png";
//		print(this_drawing.numbers[i].src);
	}

	//Fix the last ball to be the special one
	this_drawing.numbers[6].src = this_drawing.numbers[6].src.replace(/(\d+\.png)/,"mb_$&");

	//Estimate the Jackpot
	tmp = match[1];
//	tmp = tmp.replace(/&pound;/,"GBP");
	this_drawing.estjackpot.data = "Est Jackpot: Fr. " + tmp;

	print(this_drawing.estjackpot.data);
	
	this_drawing.detailsURL.location = null;

}