//	Version 1.0

//	Window layout globals
lottery_name = "USA Powerball";
num_balls = 6;
ball_size = 22;
ball_hspacing = 27;  //put their centerlines this far apart.
hide_estjackpot = true;	// Australian Lotto doesn't (reliably) show jackpot values from the last drawing.

//	Image sources
imgBkgrd.src = "Resources/Images/layouts/usapowerball/usapowerball-bkgrd.png";
lottonamestr_backdrop = "Resources/Images/layouts/usapowerball/red.png";
datestr_backdrop = "Resources/Images/layouts/usapowerball/red.png";
estjackpot_backdrop = "Resources/Images/layouts/usapowerball/red.png";

function buyTicketsOnline()
{
	openURL("http://www.shareasale.com/r.cfm?b=3831&u=130900&m=625&urllink=&afftrack=");
}

function setLotteryResultsURL(this_drawing)
{
	targetURL = new URL();
	targetURL.location = "http://powerball.com/powerball/pb_numbers.asp";
//	targetURL.postData = "drawTypeID=1&drawSubTypeID=1&dateCriteria=1M";
	return targetURL;
}

function scrapeCurrentDrawingData(htmlData)
{
	tmp = htmlData;
	tmp = tmp.replace(rxStripCRLFg, "");	// strip all linefeeds
	tmp = tmp.replace(rxStripJSg,"");	//strip all JavaScript
	tmp = tmp.replace(rxStripHTMLg, " ");	// strip all HTML (replace with whitespace, or this page runs together)
//	print("--------------CRLF & JS STRIPPED------------\n"+tmp+"\n------------------");

	match = new Array();


	//  First, find the date
	tmp_date = tmp.match(/\b\d+\/\d+\/\d+/)
	print("---------- tmp_date -----------\n" + tmp_date + "\n------------");
	match[0] = tmp_date;

	//Find the numbers next.
//	tmp_balls = tmp.match(/\b\d{1,2}(?=\s)/);
	tmp_balls = tmp.match(/(  \d{1,2}(?=\s))/g);
	print("----------- tmp_balls ---------\n" + tmp_balls + "\n-----------");


	for(i=0 ; i < num_balls ; i++)
	{
		match[i+2] = tmp_balls[i].match(/\d+/);	
	}
	print("--------\nmatch is " + match + "\n----------");

		
	// Now estimate the jackpot.
	// The USA Powerball Lotto page doesn't (reliably) show the estimated jackpot for the previous drawing, so neither will we.
	match[1] = null;

	print("-----all matched data ----------\n" + match + "\n-------------");
	return match;
}

function arrangeCurrentDrawingDataInObject(match, this_drawing)
{
	this_drawing.lottonamestr.data = lottery_name;

	print("-------match--------\n"+match+"\n------------");
	
	this_drawing.datestr.data = "Draw Date: " + match[0];
	
	for(i=0 ; i<this_drawing.numbers.length ; i++)
	{
//		print(i);
		this_drawing.numbers[i].src = "Resources/Images/balls/" + match[i+2] + ".png";
//		print(this_drawing.numbers[i].src);
	}

	//Fix the last ball to be the special one
	this_drawing.numbers[5].src = this_drawing.numbers[5].src.replace(/(\d+\.png)/,"mb_$&");

	//Estimate the Jackpot
	//	This isn't actually functional in this lotto.  It's just here for future use.
	tmp = match[1];
//	tmp = tmp.replace(/&pound;/,"GBP");
	this_drawing.estjackpot.data = "Est Jackpot: AUS$" + tmp;

//	print(this_drawing.estjackpot.data);
	
	this_drawing.detailsURL.location = null;

}